Subject: [os2genau_digest] No. 1899
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 31 Dec 2009 00:00:28 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 30 December 2009
 Number  1899
**************************************************

Subjects for today
 
1  Re:  Thunderbird 3.0 : John Angelico" <talldad at kepl dot com dot au>
2  Re:  Thunderbird 3.0 : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Thunderbird 3.0 : Peter Moylan <peter at pmoylan dot org>
4  Re:  Thunderbird 3.0 : Chuck McKinnis <mckinnis at sandia dot net>

**= Email   1 ==========================**

Date:  Wed, 30 Dec 2009 00:20:39 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Thunderbird 3.0

On Tue, 29 Dec 2009 23:16:57 +1100 Peter Moylan wrote:
>
>
>
>[2] Yes, I've tried to delete the unwanted folders directly in the file
>system. Thunderbird just re-creates them. It's very helpful that way.
>

Commiserations, Peter, on having such helpful software.

There's an old Jewish joke about an out of work Negro in LA, sitting on a
park bench reading a Yiddish newspaper. Someone says, "Hey, are you
Jewish?" He replies "Das mer vork!" which (if I recorded the Yiddish
correctly) translates as "THAT, I need!"

I'm sooooo glad I stuck with that old clunker called PMMail for OS/2 - now
up to v3.06 :-)

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   2 ==========================**

Date:  Wed, 30 Dec 2009 08:41:49 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Thunderbird 3.0

Hi Peter,

   I've been running Thunderbird 3.0 and my experiences are different to 
yours. I have gone back as it (and FF 356) keeps Trap0008ing on my system.

Peter Moylan wrote:
> In case anyone is tempted to upgrade to Thunderbird 3.0: don't. It's
> nowhere near ready for a beta release. The user interface is inferior to
> that of Thunderbird 2.0.0.14. The fonts are ugly. 
In my case I find the GUI better.
> In newsgroups, it gets
> the threading wrong (why?, given that it was right in earlier versions),
>   
I hadn't noticed this.
> and it keeps wanting to wasted enormous amounts of time offering to
> download 800,000 headers when it finally turns out, after many hours of
> downloading, that there are 20 unread messages.
>
>   
In my case it used to take ages indexing e-mails and CPU load was high 
when loading but after about 15-20 seconds it seemed to settle down.
> I'm using it now, but only because the README hints that once you've
> upgraded it's impossible to go back to a previous version. As a result,
> I'm scared to upgrade to 2.0.0.14.
>   
Did you install 3.0 over 2.0.0.14 ? I installed to a separate directory 
(but the SET Mozilla_home command in config.sys pointed both TB 
installations to the same data). I have switched back and apart from the 
fact that I now have a "smart folders" folder showing that I didn't have 
before - all is running normally.

By the way, with such a big upgrade jump, not only is it best not to 
install over an existing version, it's also good to make a backup copy 
of your profile directory "just in case".
> The worst part: when I first installed it, my computer became unusable
> for about 3 hours - I couldn't even do a shutdown - because Thunderbird
> was busy with an "indexing" operation.
>
>   
Yes, this is the "Indexing" that I referred to - the first time took 
about 5 minutes.
> Why, oh why, do developers give priority to introducing new features at
> the expense of fixing the existing bugs? [1]
>
>   
 I believe the run times for this version were created by someone who 
hadn't compiled this particular code before and actually used GCC v4 
rather than the older GCC v3 - I wonder if that is a factor in what you 
are seeing Peter? Are you saying that TB 3.0 on other platforms also 
have these problems?
> If it's any consolation, Micros**t did the same thing to me. Windows
> Vista is grossly inferior to Windows XP, but I can't upgrade to XP
> without risking losing all of my user data. That's because some idiot
> decided to configure my laptop with only a single partition, therefore
> no separation between the system partition and the user partition. I'm
> told that many people are now parting with lots of money to upgrade to
> Windows 7, just for the sake of getting away from Vista, but that still
> doesn't give them something as good as XP. And, for most of them, they
> still have to put their user data on drive C:
>
>   
   My experience using the beta and release candidate version of Windows 
7 (both free) is that it is a better OS than Windows XP (all - including 
MS - agree Vista was a mess). Interestingly, although the boot drive has 
to be on the first drive starting before the 512MB boundry, not all 
Windows 7 code has to be in one partition, in fact it can split itself 
into three partitions on a clean drive, similar to what some Linux 
distributions do, but this is getting WAY off topic!  One last point - 
in the US MS have several cheaper upgrade offers to Windows 7 that MS 
Australia have simply decided not to offer here in Australia!
> [1] OK, I'll admit that one bug was fixed. Unicode characters can now be
> read without having to do a dummy "reply" in order to read the non-ASCII
> characters. But, heck, the bug list was so long that fixing just one bug
> is hardly a major advance.
>
>   

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Wed, 30 Dec 2009 09:50:07 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Thunderbird 3.0

On 30/12/09 08:41, Ed Durrant wrote:

>> I'm using it now, but only because the README hints that once you've
>> upgraded it's impossible to go back to a previous version. As a result,
>> I'm scared to upgrade to 2.0.0.14.
>>   
> Did you install 3.0 over 2.0.0.14 ? I installed to a separate directory
> (but the SET Mozilla_home command in config.sys pointed both TB
> installations to the same data). I have switched back and apart from the
> fact that I now have a "smart folders" folder showing that I didn't have
> before - all is running normally.

OK, it's good news that I have that option.

> By the way, with such a big upgrade jump, not only is it best not to
> install over an existing version, it's also good to make a backup copy
> of your profile directory "just in case".

I'd never install over an old version. My mozilla dot org directory has
subdirectories for three different versions of Thunderbird and about
nine versions of Firefox. I hadn't thought of backing up the profile
directory, though; I'd better do it.

> I believe the run times for this version were created by someone who
> hadn't compiled this particular code before and actually used GCC v4
> rather than the older GCC v3 - I wonder if that is a factor in what you
> are seeing Peter? Are you saying that TB 3.0 on other platforms also
> have these problems?

I haven't tried it on other platforms. I have TB 2.something on my
Windows laptop, and I probably won't upgrade that because of the bloat
problem: I'm running out of hard disk space on that machine. (Meanwhile,
my main OS/2 computer has about 29GB of free space, out of an initial
32GB or so.)

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Tue, 29 Dec 2009 17:13:57 -0700
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Thunderbird 3.0

Don't forget the -P parm that allows one to have different profiles.

Usage: thunderbird [ options ... ] [URL]
        where options include:

         -height <value>         Set height of startup window to <value>.
         -h or -help             Print this message.
         -width <value>          Set width of startup window to <value>.
         -v or -version          Print Thunderbird version.
         -P <profile>            Start with <profile>.
         -ProfileManager         Start with Profile Manager.
         -UILocale <locale>              Start with <locale> resources 
as UI Locale.
         -contentLocale <locale>         Start with <locale> resources 
as content Locale.
         -safe-mode              Disables extensions and themes for this 
session.
         -console                Start Thunderbird with a debugging console.
   -jsconsole           Open the Error console.
   -addressbook         Open the address book at startup.
   -compose             Compose a mail or news message.
   -mail                Open the mail folder view.
   -options             Open the options dialog.
   -news                Open the news client.

-- 
Chuck McKinnis
Sandia Park, NM
http://www.7cities dot net/~mckinnis/
He will not suffer thy foot to be moved: he that keepeth thee will not 
slumber. Behold, he that keepeth Israel shall neither slumber nor sleep. 
Psalm 121:3,4

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===